<!DOCTYPE html>
<html>
    <head>
        <title>Highschool Online | Tutor Panel</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="../assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../assets/css/uikit.min.css" />
        <script src="../assets/js/uikit.min.js"></script>
        <script src="../assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Roboto', sans-serif!important;
                /*border-radius: 5px!important;*/
            }
            ul li {
              font-family: 'Raleway', sans-serif!important;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Domine', serif!important;
            }
            .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
                min-height: 60px!important;
            }
        </style>
    </head>
    <body class="uk-visible@m uk-flex-inline uk-background-muted">
        <div class="uk-container uk-container-small uk-padding uk-position-center">
            <div class="uk-card uk-card-default">
                <form>
                    <div class="uk-card-header"><h3 class="uk-card-title">Complete Registration as Tutor</h3></div>
                    <div class="uk-card-body">
                    <div class="uk-margin phone">
                        <input required type="text" class="uk-input" name="phone" placeholder="Enter Phone Number">
                    </div>
                    <div class="uk-margin">
                        <input required type="email" class="uk-input" autocomplete="username" name="email" placeholder="Enter Your Given email Address">
                    </div>
                    </div>
                    <div class="uk-card-footer uk-text-right">
                        <a href="/tutor/sign-in"><small>Already Registered? Sign in</small></a><br>
                        <button type="submit" class="uk-button uk-button-primary verify">Verify Credentials</button>
                    </div>
                </form>
            </div>
        </div>
    </body>

    <div class="uk-alert uk-alert-success uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="success-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <div class="uk-alert uk-alert-danger uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="error-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <!-- <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-database.js"></script> -->
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-storage.js"></script>
    <script src="../assets/js/config.js"></script>
    <script>
        let email = '', phone = '', ___data = {}
        $('form').not('#register-acc').on('submit', function(e) {
            // alert()
            let _this = $(this)
            e.preventDefault()
            if (_this.attr('id') !== 'register-acc') {
                firebase.firestore().collection('teachers').doc(_this.find('[name="phone"]').val()).get()
                .then(function(doc) {
                    if(doc.exists && doc.data().email == _this.find('[name="email"]').val()) {
                        ___data = doc.data()
                        ___data.verified = true
                        email = _this.find('[name="email"]').val()
                        phone = _this.find('[name="phone"]').val()
                        $('.phone').remove()
                        $('form').attr('id', 'register-acc')
                        $('[type="email"]').attr('disabled', true)
                        $('.uk-card-body').append(
                            `<div class="uk-margin">
                                <input required type="password" id="password" autocomplete="new-password" class="uk-input" name="password" placeholder="Enter Password">
                            </div>
                            <div class="uk-margin">
                                <input required type="password" id="verify-password" autocomplete="new-password" class="uk-input" name="password" placeholder="Verify Password">
                            </div>`)
                        $('button').text('Register Account')
                    }
                })
            }
        })

        $('body').on('submit', '#register-acc', function(e) {
            e.preventDefault()
            if ($('form').find('#password').val() == $('form').find('#verify-password').val()) {
                firebase.auth().createUserWithEmailAndPassword(email, $('form').find('#password').val())
                .then(function(user) {
                    // console.log(user.user)
                    firebase.firestore().collection('teachers').doc(phone).delete()
                    .then(function () {

                        firebase.firestore().collection('teachers').doc(user.user.uid).set(___data)
                        .then(function() {
                            window.location.href = '/tutor/home'
                        })
                    })
                })
                .catch(function(error) {
                  // Handle Errors here.
                  var errorCode = error.code;
                  var errorMessage = error.message;
                  // ...
                });
            }
        })

        // firebase.auth().onAuthStateChanged(function(user) {
        //   if (user) {
        //     // User is signed in.
            
        //     // ...
        //   } else {
        //     // User is signed out.
        //     // ...
        //   }
        // });
    </script>

</html>